## nvidia-settings 340.46

=== debian/changelog ===
nvidia-settings (340.46-2) unstable; urgency=medium

  * d/copyright: Fix patterns and add jansson.
  * 16_gzip-n.diff: New. Use gzip -n to not embed timestamps.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 17 Oct 2014 23:27:05 +0200

nvidia-settings (340.46-1) unstable; urgency=medium

  * New upstream release 340.46.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Oct 2014 23:54:07 -0700

nvidia-settings (340.32-1) unstable; urgency=medium

  * New upstream release 340.32.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 19 Aug 2014 23:48:23 -0700

nvidia-settings (340.24-1) unstable; urgency=medium

  [ Vincent Cheng ]
  * New upstream release 340.24.
    - Fixed a bug that caused the "Allow G-SYNC" checkbox to be displayed in
      nvidia-settings even if the GPUs in the system are not capable of G-SYNC.
  * New upstream release 340.17.
    - Updated nvidia-settings to report all valid names for each target
      when querying target types, e.g. `nvidia-settings -q gpus`.
    - Updated the nvidia-settings Makefiles to allow nvidia-settings
      to be dynamically linked against the host system's libjansson.
      This option can be enabled by setting the NV_USE_BUNDLED_LIBJANSSON
      Makefile variable to 0.  Please note that nvidia-settings requires
      libjansson version 2.2 or later.
  * New upstream release 337.25.
    - Fixed a bug that caused duplicate entries to appear in some dropdown
      menus in the "Application Profiles" page of nvidia-setting
  * New upstream release 331.104.
    - Fixed a bug that could cause framelock status to be incorrectly
      reported in the nvidia-settings control panel on some multi-GPU
      framelock configurations.
  * Add myself to Uploaders.
  * Build against system libjansson. (Closes: #745500)
    - Add build-dep on libjansson-dev (>= 2.2).
  * Refresh patches.
  * Upload to unstable.

  [ Andreas Beckmann ]
  * Merge changes from 337.19-1.

 -- Vincent Cheng <vcheng@debian.org>  Sat, 19 Jul 2014 16:57:31 -0700

nvidia-settings (337.19-1) experimental; urgency=medium

  * New upstream release 337.19.
    - Added nvidia-settings command line controls for over- and under-clocking
      attributes.  Please see the nvidia-settings(1) manual page for
      more details.
    - Fixed several cosmetic issues in the clock control user interface
      of nvidia-settings.
  * New upstream release 337.12.
    - Updated the display configuration page in nvidia-settings to uniquely
      identify DisplayPort 1.2 monitors by displaying the monitor GUIDs.
    - Fixed a bug that could cause ECC settings to be displayed incorrectly
      in nvidia-settings when changing ECC settings on a multi-GPU system.
    - Updated the color correction settings page in the nvidia-settings
      control panel to reflect gamma changes made by other RandR clients
      while the control panel was already running.
    - Updated the minimum required version of GTK+ from 2.2 to 2.4 for
      nvidia-settings.
  * Refresh patches 04_link_as-needed, 10_libxnvctrl_so_0, 13_clean.
  * Update symbols control files.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 22 May 2014 02:25:40 +0200

nvidia-settings (334.21-1) experimental; urgency=medium

  * New upstream release 334.21.
  * New upstream release 334.16.
    - Fixed a bug that could cause nvidia-settings to compute incorrect
      gamma ramps when adjusting the color correction sliders.
    - Updated the nvidia-settings control panel to allow the selection
      of display devices using RandR and target ID names when making
      queries targeted towards specific display devices.
    - Fixed a bug that prevented some dropdown menus in the
      nvidia-settings control panel from working correctly on older
      versions of GTK+ (e.g. 2.10.x).
    - Updated the nvidia-settings control panel to provide help text
      for application profile keys and suggestions for valid key names
      when configuring application profiles.
    - Updated the nvidia-settings control panel to populate the dropdown
      menu of stereo modes with only those modes which are available.
    - Fixed a bug that caused high pixelclock HDMI modes (e.g. as used
      with 4K resolutions) to be erroneously reported as dual-link in
      the nvidia-settings control panel.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 23 Apr 2014 15:08:11 +0200

nvidia-settings (331.79-1) unstable; urgency=medium
 
  * New upstream release 331.79.
  * Move source package and libxnvctrl{0,-dev} to main, but keep
    nvidia-settings in contrib. The library can be used to query for
    availability of the NV-CONTROL X extension.  (Closes: #747837)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 21 May 2014 23:57:25 +0200

nvidia-settings (331.67-1) unstable; urgency=medium

  * New upstream release 331.67.
    - Fixed a bug that could cause nvidia-settings to crash or display
      incorrect information after switching virtual terminals while a
      color correction confirmation countdown was active.
  * New upstream release 331.49.
  * New upstream release 319 series.
    - Updated nvidia-settings to use libjansson commit
      88aa6a9e30e7465196a737bd0f82eb17f393a120 from the repository at:
        git://github.com/akheron/jansson.git
      This commit contains the relevant fixes for CVE-2013-6401.
      (Closes: #745499)
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 14:00:53 +0200

nvidia-settings (331.38-1) experimental; urgency=low

  * New upstream release 331.38.
    - Updated the behavior of the nvidia-settings PowerMizer Preferred
      Mode drop-down menu, to make the setting apply consistently
      across all GPUs in an SLI group.
    - Added NV-CONTROL attributes to control the brightness of the illuminated
      logos on certain graphics boards.  For example, to turn off the

