## nvidia-settings 340.93

=== debian/changelog ===
nvidia-settings (340.93-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 04 Nov 2015 18:57:31 +0100

nvidia-settings (340.93-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * New upstream release 340.93.
  * d/rules: Make the build reproducible by using deterministic timestamp,
    user and hostname strings to be included in the binary. Based on patch by
    Jérémy Bobbio.  (Closes: #786637)

  [ Luca Boccassi ]
  * Change libxnvctrl0 and libxnvctrl-dev Architecture to any
  * Convert libxnvctrl0 and libxnvctrl-dev to Multi-Arch: same
  * Added myself to Uploaders

 -- Andreas Beckmann <anbe@debian.org>  Wed, 07 Oct 2015 16:10:43 +0200
