=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  Fathi Boudra <fabo@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
  Russ Allbery <rra@debian.org>,
- Vincent Cheng <vcheng@debian.org>
+ Vincent Cheng <vcheng@debian.org>,
+ Luca Boccassi <luca.boccassi@gmail.com>,
 Build-Depends:
  debhelper (>= 9),
  m4,
@@ -18,6 +19,7 @@
  libxv-dev,
  libxxf86vm-dev,
  pkg-config,
+ dh-exec (>= 0.3),
 Build-Conflicts:
  libxnvctrl-dev,
 Standards-Version: 3.9.6
@@ -51,7 +53,9 @@
 
 Package: libxnvctrl0
 Section: libs
-Architecture: i386 amd64 armhf
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${shlibs:Depends}, ${misc:Depends}
 Description: NV-CONTROL X extension (runtime library)
@@ -64,7 +68,8 @@
 
 Package: libxnvctrl-dev
 Section: libdevel
-Architecture: i386 amd64 armhf
+Architecture: any
+Multi-Arch: same
 Depends:
  libxnvctrl0 (= ${binary:Version}),
  ${misc:Depends}
