=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 #export DH_VERBOSE=1
 export NV_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 export DEBUG = 1
@@ -28,6 +30,12 @@
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
+# Redefine DATE to something stable to make the build reproducible
+DATE		 = $(shell dpkg-parsechangelog -S Date)
+# Cheat for user and hostname
+WHOAMI		 = echo buildd
+HOSTNAME_CMD	 = echo debian
+export DATE WHOAMI HOSTNAME_CMD
 
 %:
 	dh $@
