## nvidia-settings 367.57

=== debian/changelog ===
nvidia-settings (367.57-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Dec 2016 11:23:08 +0100

nvidia-settings (367.57-1) unstable; urgency=medium

  * New upstream release 367.57.  (Closes: #833617)
  * New upstream release 367.35.
    - Fixed a bug that caused a crash when exiting nvidia-settings on displays
      with 8 or 15 bit color depths.
  * New upstream release 367.18.
    - Fixed a bug that could cause nvidia-settings to crash on some systems
      when responding to events such as hotplugging DisplayPort devices.
    - Enhanced the Display Device information page in nvidia-settings with
      additional information for DisplayPort devices to reflect attributes
      which are specific to DisplayPort connections.
    - Fixed a bug which could cause deleted application profiles to appear
      when editing rules in the nvidia-settings control panel.
    * Build system allows creation of unstripped binaries.
  * New upstream release 361 series:
    - Removed the Base Mosaic configuration option from nvidia-settings on
      systems where the feature is not actually supported.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 03 Dec 2016 23:13:22 +0100

nvidia-settings (364.19-1) unstable; urgency=medium

  * New upstream release 364.19.
  * Refresh patches.
  * Fix upstream build system to allow creation of unstripped binaries.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 01 Dec 2016 10:07:31 +0100

nvidia-settings (361.45.11-1) unstable; urgency=medium

  * New upstream release 361.45.11.
  * New upstream release 361.42.
    - Limited the default concurrency level in nvidia-settings to 32, to
      avoid hitting the maximum tasks limit on systems with many CPUs.
    - Fixed a bug that caused nvidia-settings to crash when pairing glasses
      with the 3D Vision Pro transmitter on some systems.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 13 Nov 2016 13:19:12 +0100

nvidia-settings (358.16-1) unstable; urgency=medium

  * New upstream release 358.16.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 12 Nov 2016 23:29:43 +0100

nvidia-settings (355.11-1) unstable; urgency=medium

  * New upstream release 355.11.
  * New upstream release 355.06.
    - Fixed a bug that could cause the nvidia-settings control panel to
      crash when updating the display layout.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 16:47:51 +0100

nvidia-settings (352.79-1) unstable; urgency=medium

  * New upstream release 352.79.
  * New upstream release 352.21.
    - Fixed a bug that caused the Display Configuration page of the
      nvidia-settings control panel to automatically generate layouts
      with multiple displays occupying the same position when enabling
      or disabling Base Mosaic.
    - Updated nvidia-settings to allow the use of the standard Display
      Configuration page when SLI Mosaic is enabled.
  * New upstream release 352.09.
    - Added the ability to configure the swapping behavior for quad-buffered
      stereo visuals. The driver can be configured to independently swap
      each eye as it becomes ready, to wait for both eyes to complete
      rendering before swapping, or to allow applications to specify which
      of these two behaviors is preferred by setting the swap interval.
      This setting can be adjusted in the nvidia-settings control panel, or
      via the NV-CONTROL API.
    - Fixed a regression which caused the GPU fan status display to disappear
      from the nvidia-settings control panel.
    - Added reporting of ECC error counts to the nvidia-settings control
      panel.
  * Depend on libgtk-3-0 | libgtk2.0-0, don't require both.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 11 Nov 2016 02:05:39 +0100

nvidia-settings (349.16-1) unstable; urgency=medium

  * New upstream release 349.16.
  * New upstream release 349.12.
    - Fixed a bug that caused nvidia-settings to crash when assigning an
      attribute whose value is a display ID on a system with multiple X
      screens.
    - Updated the reporting of in-use video memory in the nvidia-settings
      control panel to use the same accounting methods used in other tools
      such as nvidia-smi. nvidia-settings was not taking some allocations
      into account, e.g. framebuffer memory for the efifb console on UEFI
      systems, causing discrepancies in the values reported by different
      tools.
    - Fixed a bug that prevented GPU fan speed changes from getting reflected
      in the text box on Thermal settings page.
    - Added nvidia-settings commandline support to query the current and
      targeted GPU fan speed.
    - Added a checkbox to nvidia-settings to enable a visual indicator that
      shows when G-SYNC is being used.  This is helpful for displays that
      don't indicate themselves whether they are operating in G-SYNC mode or
      normal mode.
      This setting can also be enabled by running the command line
        nvidia-settings -a ShowGSYNCVisualIndicator=1
  * A few more files are now under the Expat license.
  * link-order.diff: New, reorder libraries and object files to allow proper
    dependency resolution.
  * Add lintian overrides for shared libraries that are actually plugins.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 10 Nov 2016 16:59:28 +0100

nvidia-settings (346.87-1) unstable; urgency=medium

  * New upstream release 346.87.
  * New upstream release 346.82.
    - Fixed a bug in nvidia-settings that caused the application to crash
      when saving the EDID to a file.
  * Build the GTK+ 3 variant, too.
  * typos.diff: Fix more typos found by lintian.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 08 Nov 2016 11:45:13 +0100

nvidia-settings (346.59-1) experimental; urgency=medium

  * New upstream release 346.59.
  * New upstream release 346.47.
    - Fixed a bug that caused Xinerama layouts which included X screens with

