=== debian/control ===
--- 
+++ 
@@ -13,8 +13,9 @@
  m4,
  libgl1-mesa-dev | libgl-dev,
  libgtk2.0-dev (>= 2.4),
+ libgtk-3-dev,
  libjansson-dev (>= 2.2),
- libvdpau-dev,
+ libvdpau-dev (>= 0.9),
  libxext-dev,
  libxv-dev,
  libxxf86vm-dev,
@@ -22,10 +23,10 @@
  dh-exec (>= 0.3),
 Build-Conflicts:
  libxnvctrl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: ftp://download.nvidia.com/XFree86/nvidia-settings/
-Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-settings/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-settings/
+Vcs-Git: https://anonscm.debian.org/git/pkg-nvidia/nvidia-settings.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nvidia/nvidia-settings.git
 
 Package: nvidia-settings
 Section: contrib/x11
@@ -35,6 +36,7 @@
 Depends:
  pkg-config,
  ${nvidia-alternative},
+ libgtk-3-0 (>= 3.0.0) | libgtk2.0-0 (>= 2.8.0),
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  libgl1-nvidia${nvidia:Legacy}-glx,
