=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,26 @@
 #export DH_VERBOSE=1
 export NV_VERBOSE=1
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/buildflags.mk
+
+# Redefine DATE to something stable to make the build reproducible
+BUILDDATE		:= $(shell dpkg-parsechangelog -S Date)
+export DATE		 = date -d "$(BUILDDATE)"
+# Cheat for user and hostname
+export WHOAMI		 = echo buildd
+export HOSTNAME_CMD	 = echo debian
+
+export PREFIX		 = /usr
+export DO_STRIP		 =
+export CC_ONLY_CFLAGS	 = $(CPPFLAGS)
 
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-export DEBUG = 1
+export DEBUG		 = 1
 endif
 
-export PREFIX = /usr
 export NV_USE_BUNDLED_LIBJANSSON = 0
 
 include debian/rules.defs
@@ -30,12 +43,6 @@
 AUTOKEEP	 = debian/watch
 AUTOCLEAN	 = $(filter-out $(AUTOKEEP),$(AUTOGEN))
 
-# Redefine DATE to something stable to make the build reproducible
-DATE		 = $(shell dpkg-parsechangelog -S Date)
-# Cheat for user and hostname
-WHOAMI		 = echo buildd
-HOSTNAME_CMD	 = echo debian
-export DATE WHOAMI HOSTNAME_CMD
 
 %:
 	dh $@
@@ -47,7 +54,7 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
-	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
+	install -m 0755 $(wildcard samples/_out/*/nv-control-dpy samples/_out/*/*/nv-control-dpy samples/nv-control-dpy) debian/tmp/usr/bin/
 	install -m 0644 $(or $(wildcard doc/nvidia-settings.png),debian/nvidia-settings.png) debian/tmp/nvidia-settings$(legacy).png
 
 override_dh_auto_clean:
@@ -63,6 +70,11 @@
 	dh_compress --exclude=.c --exclude=.mk
 
 override_dh_gencontrol:
+	if [ -f debian/nvidia-settings.substvars ]; then \
+		sed -ri -e 's/libgtk2.0-0 \(>= 2.8.0\)//' \
+			-e 's/libgtk-3-0 \(>= 3.0.0\)//' \
+			debian/nvidia-settings.substvars ; \
+	fi
 	dh_gencontrol -- -V'nvidia:Legacy=$(legacy)' \
 		-V'nvidia:LegacyDesc=$(legacy_description)' \
 		-V'nvidia-alternative=$(NVIDIA_ALTERNATIVE)'
